### Method

# Rsvg Handle set_cancellable_for_rendering

since: 2.59.0

#### Declaration [src]

    void
    rsvg_handle_set_cancellable_for_rendering (
      RsvgHandle* handle,
      GCancellable* cancellable
    )

#### Description [src]

Sets a cancellable object that can be used to interrupt rendering while the handle is being rendered in another thread. For example, you can set a cancellable from your main thread, spawn a thread to do the rendering, and interrupt the rendering from the main thread by calling g_cancellable_cancel().

If rendering is interrupted, the corresponding call to `rsvg_handle_render_document()` (or any of the other rendering functions) will return an error with domain `G_IO_ERROR`, and code `G_IO_ERROR_CANCELLED`.

Available since: 2.59.0

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.